%% AnalogInput Test
% 
% <html>
% input set to 3 V<br>
% multimeter reads 2.9976 V
% </html>
% 


%%

% Create analog input object
ai = analoginput('mcc',0);

% Data will be acquired from channel 0
addchannel(ai,0);

% set input range
ai.Channel.InputRange = [-5 5];

% Find default sample rate
fs = get(ai,'SampleRate');
fprintf('sample rate %g Hz\n',fs);

%%

start(ai);
[data,t] = getdata(ai);
plot(t,data);
xlabel('time (sec)');
ylabel('signal (V)');

%%

% assume fixed input voltage
hist(data)
fprintf('average value: %g V\n',mean(data));
fprintf('std deviation: %g V\n',std(data));

do = unique(data);
delta = diff(do);
fprintf('Minimum difference: %g V\n',min(delta));
r = ai.Channel.InputRange;
range = max(r)-min(r);
fprintf('input range: %g V\n',range);
N = range/min(delta);
fprintf('N %g\n',N);

%%

for obj=daqfind
    delete(obj);
end
clear ao ai dio obj




