%% daq info 

%%

out = daqhwinfo;
disp(out)

%%

n = length(out.InstalledAdaptors);
for k= out.InstalledAdaptors';
    fprintf('\nAdaptor: %s\n',char(k));
    h = daqhwinfo(char(k));
    fprintf('DLL: %s\n',char(h.AdaptorDllName));
    disp(h);
    if ~isempty(h.ObjectConstructorName)
        fprintf('\nObjectConstructorNames\n');
    end
    for hc=h.ObjectConstructorName
        disp(hc);
    end
end

%%

ai = analoginput('mcc',0);

% Data will be acquired from channel 0
addchannel(ai,0);

% Find default sample rate
fs = get(ai,'SampleRate');
fprintf('sample rate %g Hz\n',fs);
fprintf('\nSample Rate:\n');
disp(propinfo(ai,'SampleRate'));

% Check analog input single-ended or differential
fprintf('Input Type: %s\n',get(ai,'InputType'))

ai.Channel.InputRange = [-5 5];

disp(ai);

set(ai,'TriggerType');
%%

ao = analogoutput('mcc',0);
disp(ao);

%%

dio = digitalio('mcc',0);
disp(dio);

disp([ai ao dio]);

%%

for obj=daqfind
    delete(obj);
end
clear ao ai dio obj