%% Sound DAQ Demo


%% Create analog output object

clear
ao = analogoutput('winsound',0);
disp(ao);

%% Show properties

fprintf('Sample Rate:\n');
disp(propinfo(ao,'SampleRate'));

addchannel(ao,1);
disp(ao.Channel);

%% Generate sounds

fs = 8000;
t = (0:4000)/fs;
freq = [220 440 880];
vol = [1 0.5 0.25];
for k=1:3;
    data = vol(k)*sin(2*pi*freq(k)*t);
    putdata(ao,data');
    start(ao);
    wait(ao,1); % wait for 1 second
end

%% close all open DAQ objects

for obj=daqfind
    delete(obj);
end
clear ao obj
