%% sample interpolation

%%

% frequency in kilohertz, time in msec
fs = 4;
N = 10; % There are N+1 samples
t = (0:N)/fs;
tc = linspace(0,N/fs,801);
freq = 1.6;
data = 0.8*sin(2*pi*freq*t);
yc = 0.8*sin(2*pi*freq*tc);
yi = interp1(t,data,tc,'spline');
plot(t,data,'ko',tc,yc,'b--',tc,yi,'k','LineWidth',2);
xlabel('time (msec)');
ylabel('signal');
str = sprintf('signal frequency %g kHz sample frequency %g kHz',freq,fs);
disp(str);
title(str);